> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.levanta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deals



## OpenAPI

````yaml https://app.levanta.io/api/creator/v2/openapi.json get /deals
openapi: 3.1.0
info:
  version: 2.0.0
  title: Levanta Creator API v2
  description: >-
    Authorize all requests with an API key in the Authorization header as the
    second token. E.g. Authorization -> "Bearer {api_key}".
servers:
  - url: https://app.levanta.io/api/creator/v2
security: []
externalDocs:
  url: https://app.levanta.io/creator/api-docs
paths:
  /deals:
    get:
      tags:
        - Deals
      summary: List Deals
      operationId: CreatorListDealsV2
      parameters:
        - schema:
            type: string
            enum:
              - all
              - amazon.com
              - amazon.com.mx
              - amazon.co.uk
              - amazon.ca
              - amazon.de
              - amazon.es
              - amazon.fr
              - amazon.it
              - amazon.nl
              - walmart.com
              - shopify.com
            description: >-
              Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
              shopify.com). If "all" is specified then the scope is all
              marketplaces.
          required: true
          description: >-
            Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
            shopify.com). If "all" is specified then the scope is all
            marketplaces.
          name: marketplace
          in: query
        - schema:
            type: string
            description: >-
              Comma-delimited list of strings representing an array. Example:
              1,2,3 equivalent to [1,2,3]
          required: false
          description: >-
            Comma-delimited list of strings representing an array. Example:
            1,2,3 equivalent to [1,2,3]
          name: brand_ids
          in: query
        - schema:
            type: string
            description: >-
              Filter deals by the associated products' primary IDs. Example:
              1234567890,1234567891
          required: false
          description: >-
            Filter deals by the associated products' primary IDs. Example:
            1234567890,1234567891
          name: product_ids
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: starts_before
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: starts_after
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: ends_before
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: ends_after
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 500
            default: 100
            description: The maximum number of items to return
          required: false
          description: The maximum number of items to return
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 512
            description: >-
              The cursor returned from the last request, if omitted the first
              page will be returned
          required: false
          description: >-
            The cursor returned from the last request, if omitted the first page
            will be returned
          name: cursor
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  deals:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - DEAL
                            - CLIPPABLE_COUPON
                            - PROMO_CODE
                            - FLASH_DEAL
                        productIds:
                          type: array
                          items:
                            type: object
                            properties:
                              label:
                                type: string
                                enum:
                                  - ASIN
                                  - SKU
                                  - GTIN
                                  - Walmart Item ID
                                  - Variant ID
                              value:
                                type: string
                            required:
                              - label
                              - value
                        marketplace:
                          type: string
                          enum:
                            - amazon.com
                            - amazon.com.mx
                            - amazon.co.uk
                            - amazon.ca
                            - amazon.de
                            - amazon.es
                            - amazon.fr
                            - amazon.it
                            - amazon.nl
                            - walmart.com
                            - shopify.com
                          description: >-
                            Represents a Levanta marketplace (ex: amazon.co.uk,
                            walmart.com, shopify.com).
                        title:
                          type: string
                        startDate:
                          type: string
                          format: date-time
                          description: >-
                            Date in ISO Format without offset (UTC):
                            YYYY-MM-DDTHH:mm:ss.SSSZ
                        endDate:
                          type: string
                          format: date-time
                          description: >-
                            Date in ISO Format without offset (UTC):
                            YYYY-MM-DDTHH:mm:ss.SSSZ
                        currency:
                          type: string
                          enum:
                            - USD
                            - GBP
                            - CAD
                            - EUR
                            - MXN
                        fullPrice:
                          type: number
                          description: >-
                            The full price of the product before the deal
                            discount
                        discountPrice:
                          type: number
                          description: The price of the product after the deal discount
                        discountPercentage:
                          type: number
                          description: The percentage discount of the product
                        verified:
                          type: boolean
                          description: >-
                            Whether the deal is verified by Levanta or
                            seller-submitted.
                        promoCode:
                          type:
                            - string
                            - 'null'
                          description: The promo code for the deal (if applicable)
                      required:
                        - type
                        - productIds
                        - marketplace
                        - title
                        - startDate
                        - endDate
                        - currency
                        - fullPrice
                        - discountPrice
                        - discountPercentage
                        - verified
                        - promoCode
                  cursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The cursor to use for the next request, if empty there are
                      no more items to return
                required:
                  - deals
                  - cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 401
                  message:
                    type: string
                    enum:
                      - Unauthorized
                required:
                  - status
                  - message
        '422':
          description: Input Validation Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 422
                  message:
                    type: string
                    enum:
                      - Input Validation Failed
                required:
                  - status
                  - message
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````